package com.zehong.system.mapper.project;

import java.util.List;
import com.zehong.system.domain.project.TProductProject;

/**
 * 项目资料Mapper接口
 * 
 * @author zehong
 * @date 2024-08-19
 */
public interface TProductProjectMapper 
{
    /**
     * 查询项目资料
     * 
     * @param id 项目资料ID
     * @return 项目资料
     */
    public TProductProject selectTProductProjectById(Long id);

    /**
     * 查询项目资料列表
     * 
     * @param tProductProject 项目资料
     * @return 项目资料集合
     */
    public List<TProductProject> selectTProductProjectList(TProductProject tProductProject);

    /**
     * 新增项目资料
     * 
     * @param tProductProject 项目资料
     * @return 结果
     */
    public int insertTProductProject(TProductProject tProductProject);

    /**
     * 修改项目资料
     * 
     * @param tProductProject 项目资料
     * @return 结果
     */
    public int updateTProductProject(TProductProject tProductProject);

    /**
     * 删除项目资料
     * 
     * @param id 项目资料ID
     * @return 结果
     */
    public int deleteTProductProjectById(Long id);

    /**
     * 批量删除项目资料
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTProductProjectByIds(Long[] ids);
}
